/** @internal */
export declare function setupNpmAuth(targetDir: string): Promise<{
    npmrcPath: string;
    originalContent: string;
}>;
export declare function cleanupNpmAuth(npmrcPath: string, originalContent?: string): Promise<void>;
